<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      procart Enterprise 3.8                                       ***
  ***      File:  admin_countries.php                                      ***
  ***      Built: Tue Nov 14 19:00:40 2006                                 ***
  ***      http://www.procart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/sorter.php");
	include($root_folder_path . "includes/navigator.php");

	check_admin_security("static_tables");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_countries.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_lookup_tables_href", "admin_lookup_tables.php");
	$t->set_var("admin_country_href", "admin_country.php");
	$t->set_var("admin_settings_list", "admin_settings_list.php");

	$s = new VA_Sorter($settings["admin_templates_dir"], "sorter_img.html", "admin_countries.php");
	$s->set_default_sorting("1", "asc");
	$s->set_sorter("Order", "sorter_country_order", 1, "country_order");
	$s->set_sorter("Code", "sorter_country_code", 2, "country_code");
	$s->set_sorter("ISO", "sorter_country_iso_number", 3, "country_iso_number");
	$s->set_sorter("Country", "sorter_country_name", 4, "country_name");
	$n = new VA_Navigator($settings["admin_templates_dir"], "navigator.html", "admin_countries.php");

	include("./admin_header.php");
	include("./admin_footer.php");

	$sp = trim(get_param("sp")); $where = "";
	if(strlen($sp)) {
		$where  = " WHERE country_name LIKE '%" . $db->tosql($sp, TEXT, false) . "%'";
		$where .= " OR country_code=" . $db->tosql($sp, TEXT);
		$where .= " OR country_iso_number=" . $db->tosql($sp, TEXT);
	}

	// set up variables for navigator
	$db->query("SELECT COUNT(*) FROM " . $table_prefix . "countries " . $where);
	$db->next_record();
	$total_records = $db->f(0);
	$records_per_page = get_param("q") > 0 ? get_param("q") : 25;
	$pages_number = 5;
	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);
	$t->set_var("page", $page_number);

	$t->set_var("sort_ord", get_param("sort_ord"));
	$t->set_var("sort_dir", get_param("sort_dir"));
	$t->set_var("page", get_param("page"));
	$t->set_var("sp", htmlspecialchars($sp));
	$t->set_var("sp_url", urlencode($sp));

	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$db->query("SELECT * FROM " . $table_prefix . "countries " . $where . $s->order_by);
	if($db->next_record())
	{
		$t->set_var("no_records", "");
		do {
			$t->set_var("country_order", $db->f("country_order"));
			$t->set_var("country_code", $db->f("country_code"));
			$t->set_var("country_iso_number", $db->f("country_iso_number"));
			$t->set_var("country_name", $db->f("country_name"));
			$t->parse("records", true);
		} while($db->next_record());
	}
	else
	{
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->pparse("main");

?>
