<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      procart Enterprise 3.8                                       ***
  ***      File:  admin_banners.php                                        ***
  ***      Built: Tue Nov 14 19:00:40 2006                                 ***
  ***      http://www.procart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include_once ("./admin_config.php");
	include_once ($root_folder_path . "includes/common.php");
	include_once ($root_folder_path . "includes/sorter.php");
	include_once ($root_folder_path . "includes/navigator.php");
	include_once ($root_folder_path . "includes/record.php");

	check_admin_security("banners");

	$t = new VA_Template($settings["admin_templates_dir"]);
	$t->set_file("main","admin_banners.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_banner_href", "admin_banner.php");
	$t->set_var("admin_banners_href", "admin_banners.php");
	$t->set_var("admin_layouts_href", "admin_layouts.php");
	$t->set_var("admin_banners_groups_href", "admin_banners_groups.php");


	$s = new VA_Sorter($settings["admin_templates_dir"], "sorter_img.html", "admin_banners.php");
	//$s->set_default_sorting(1, "desc");
	$s->set_sorter("ID", "sorter_banner_id", "1", "banner_id");
	$s->set_sorter("Title", "sorter_banner_title", "2", "banner_title");
	$s->set_sorter("Active", "sorter_is_active", "3", "is_active");
	$s->set_sorter("Impressions", "sorter_total_impressions", "4", "total_impressions");
	$s->set_sorter("Clicks", "sorter_total_clicks", "5", "total_clicks");
	$n = new VA_Navigator($settings["admin_templates_dir"], "navigator.html", "admin_banners.php");

	include("./admin_header.php");
	include("./admin_footer.php");

	// set up variables for navigator
	$sql  = "SELECT COUNT(*) FROM " . $table_prefix . "banners ";
	$db->query($sql);
	$total_records = $db->f(0);

	$records_per_page = get_param("q") > 0 ? get_param("q") : 25;
	$pages_number = 5;
	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);

	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$sql  = " SELECT * FROM " . $table_prefix . "banners ";
	$db->query($sql . $s->order_by);
	if($db->next_record())
	{
		$t->set_var("no_records", "");
		$banner_index = 0;
		do {
			$is_active = ($db->f("is_active") == 1) ? "Yes" : "No";

			$banner_index++;
			$row_style = ($banner_index % 2 == 0) ? "row1" : "row2";
			$t->set_var("row_style", $row_style);

			$t->set_var("banner_index", $banner_index);
			$t->set_var("banner_id", $db->f("banner_id"));
			$t->set_var("banner_title", $db->f("banner_title"));
			$t->set_var("is_active", $is_active);
			$t->set_var("total_impressions", $db->f("total_impressions"));
			$t->set_var("total_clicks", $db->f("total_clicks"));
			$t->set_var("max_impressions", $db->f("max_impressions"));
			$t->set_var("max_clicks", $db->f("max_clicks"));

			$t->parse("records", true);
		} while($db->next_record());
		$t->parse("sorters", false);
	}
	else
	{
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->pparse("main");

?>